/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

/*
 *  Template MIB group interface - udp, tcp, icmp, and ip
 *
 */

#ifndef _MIBGROUP_UDP_TCP_ICMP_H
#define _MIBGROUP_UDP_TCP_ICMP_H


extern void init_icmp_ip(void);

#define IPFORWARDING 1
#define IPDEFAULTTTL 2
#define IPINRECEIVES 3
#define IPINHDRERRORS 4
#define IPINADDRERRORS 5
#define IPFORWDATAGRAMS 6
#define IPINUNKNOWNPROTOS 7
#define IPINDISCARDS 8
#define IPINDELIVERS 9
#define IPOUTREQUESTS 10
#define IPOUTDISCARDS 11
#define IPOUTNOROUTES 12
#define IPREASMTIMEOUT 13
#define IPREASMREQDS 14
#define IPREASMOKS 15
#define IPREASMFAILS 16
#define IPFRAGOKS 17
#define IPFRAGFAILS 18
#define IPFRAGCREATES 19
#define IPADENTADDR 1
#define IPADENTIFINDEX 2
#define IPADENTNETMASK 3
#define IPADENTBCASTADDR 4
#define IPADENTREASMMAXSIZE 5
#define IPROUTEDEST 1
#define IPROUTEIFINDEX 2
#define IPROUTEMETRIC1 3
#define IPROUTEMETRIC2 4
#define IPROUTEMETRIC3 5
#define IPROUTEMETRIC4 6
#define IPROUTENEXTHOP 7
#define IPROUTETYPE 8
#define IPROUTEPROTO 9
#define IPROUTEAGE 10
#define IPROUTEMASK 11
#define IPROUTEMETRIC5 12
#define IPROUTEINFO 13
#define IPNETTOMEDIAIFINDEX 1
#define IPNETTOMEDIAPHYSADDRESS 2
#define IPNETTOMEDIANETADDRESS 3
#define IPNETTOMEDIATYPE 4
#define IPROUTINGDISCARDS 23
#define ICMPINMSGS 1
#define ICMPINERRORS 2
#define ICMPINDESTUNREACHS 3
#define ICMPINTIMEEXCDS 4
#define ICMPINPARMPROBS 5
#define ICMPINSRCQUENCHS 6
#define ICMPINREDIRECTS 7
#define ICMPINECHOS 8
#define ICMPINECHOREPS 9
#define ICMPINTIMESTAMPS 10
#define ICMPINTIMESTAMPREPS 11
#define ICMPINADDRMASKS 12
#define ICMPINADDRMASKREPS 13
#define ICMPOUTMSGS 14
#define ICMPOUTERRORS 15
#define ICMPOUTDESTUNREACHS 16
#define ICMPOUTTIMEEXCDS 17
#define ICMPOUTPARMPROBS 18
#define ICMPOUTSRCQUENCHS 19
#define ICMPOUTREDIRECTS 20
#define ICMPOUTECHOS 21
#define ICMPOUTECHOREPS 22
#define ICMPOUTTIMESTAMPS 23
#define ICMPOUTTIMESTAMPREPS 24
#define ICMPOUTADDRMASKS 25
#define ICMPOUTADDRMASKREPS 26
#define TCPRTOALGORITHM 1
#define TCPRTOMIN 2
#define TCPRTOMAX 3
#define TCPMAXCONN 4
#define TCPACTIVEOPENS 5
#define TCPPASSIVEOPENS 6
#define TCPATTEMPTFAILS 7
#define TCPESTABRESETS 8
#define TCPCURRESTAB 9
#define TCPINSEGS 10
#define TCPOUTSEGS 11
#define TCPRETRANSSEGS 12
#define TCPCONNSTATE 1
#define TCPCONNLOCALADDRESS 2
#define TCPCONNLOCALPORT 3
#define TCPCONNREMADDRESS 4
#define TCPCONNREMPORT 5
#define TCPINERRS 14
#define TCPOUTRSTS 15
#define UDPINDATAGRAMS 1
#define UDPNOPORTS 2
#define UDPINERRORS 3
#define UDPOUTDATAGRAMS 4
#define UDPLOCALADDRESS 1
#define UDPLOCALPORT 2

#endif
