/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

#ifndef _mibparser_map_h_
#define _mibparser_map_h_

/*
 * This file maps various var_ routines to be var_unused 
 * It also does static/manual mappings that used to occur in snmp_map.h
 */

#define var_iscsiHeaderIntegrityTypes	var_unused
#define var_iscsiDataIntegrityTypes	var_unused
#ifndef SNMP_iscsiModule
#define var_iscsiInstanceAttributesEntry	var_unused
#define var_iscsiInstanceSsnErrorStatsEntry	var_unused
#define var_iscsiPortalAttributesEntry	var_unused
#define var_iscsiTgtPortalAttributesEntry	var_unused
#endif
#define var_iscsiIntrPortalAttributesEntry	var_unused
#ifndef SNMP_iscsiModule
#define var_iscsiNodeAttributesEntry	var_unused
#define var_iscsiTargetAttributesEntry	var_unused
#define var_iscsiTargetLoginStatsEntry	var_unused
#define var_iscsiTargetLogoutStatsEntry	var_unused
#endif
#define var_iscsiTgtAuthAttributesEntry	var_unused
#define var_iscsiInitiatorAttributesEntry	var_unused
#define var_iscsiInitiatorLoginStatsEntry	var_unused
#define var_iscsiInitiatorLogoutStatsEntry	var_unused
#define var_iscsiIntrAuthAttributesEntry	var_unused
#ifndef SNMP_iscsiModule
#define var_iscsiSessionAttributesEntry	var_unused
#define var_iscsiSessionStatsEntry	var_unused
#define var_iscsiSessionCxnErrorStatsEntry	var_unused
#define var_iscsiConnectionAttributesEntry	var_unused
#endif
#define var_netappProducts	var_unused
#define var_rpcServ	var_nfs
#define var_replyCache	var_nfs
#define var_trpcServ	var_tnfs
#define var_treplyCache	var_tnfs

#define var_egp	var_unused
#define var_egpNeighEntry	var_unused
#define var_egp	var_unused

#endif 
           /* _mibparser_map_h_ */
