/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

#ifndef CIFS_VARS_AUX_H
#define CIFS_VARS_AUX_H


extern void bufprint_winsservers(uint8_t* buf, int buflen);
extern void bufprint_altnames(uint8_t* buf, int buflen);
extern void bufprint_UC(WCHAR* src, uint8_t* buf, int buflen);
extern void bufprint_DCName(uint8_t* buf, int buflen);
extern int  is_domain_joined(void);
extern void bufprint_NBTMode(uint8_t* buf, int buflen);
extern unsigned long smb_total_calls(void);
extern unsigned long ulpct(unsigned long num, unsigned long denom);
extern uint64_t  SMB_GetNActiveVfilers(void);
extern uint64_t SMB_GetNOplockBreakWaits(void);
extern uint64_t SMB_GetNOplockAckWaits(void);



	/*
	 * macros against the day snmp supports unicode or some
	 * other string format, and to get DEC's compiler to
	 * quit whining.
	 */
#define STRLEN(s)	 strlen ((const char*) s)
#define STRCPY(s1,s2)	 strcpy ((char*) s1, (const char*) s2)
#define STRNCPY(s1,s2,n) strncpy((char*) s1, (const char*) s2, n)
#define STRCAT(s1,s2)	 strcat ((char*) s1, (const char*) s2)
#define STRNCAT(s1,s2,n) strncat((char*) s1, (const char*) s2, n)


#endif	/* CIFS_VARS_AUX_H */
