/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

#ifndef _MIBGROUP_SNMPNOTIFYFILTERTABLE_H
#define _MIBGROUP_SNMPNOTIFYFILTERTABLE_H


/*
 * we may use header_complex from the header_complex module 
 */


config_require(header_complex)


    /*
     * our storage structure(s) 
     */
     struct snmpNotifyFilterTable_data {

         char           *snmpNotifyFilterProfileName;
         size_t          snmpNotifyFilterProfileNameLen;
         oid            *snmpNotifyFilterSubtree;
         size_t          snmpNotifyFilterSubtreeLen;
         char           *snmpNotifyFilterMask;
         size_t          snmpNotifyFilterMaskLen;
         int32_t            snmpNotifyFilterType;
         int32_t            snmpNotifyFilterStorageType;
         int32_t            snmpNotifyFilterRowStatus;

     };




/*
 * enum definitions from the covered mib sections 
 */






#define SNMPNOTIFYFILTERTYPE_INCLUDED            1
#define SNMPNOTIFYFILTERTYPE_EXCLUDED            2




/*
 * function prototypes 
 */


     void            init_snmpNotifyFilterTable(void);
     FindVarMethod   var_snmpNotifyFilterTable;
     void            parse_snmpNotifyFilterTable(const char *, char *);
     SNMPCallback    store_snmpNotifyFilterTable;


     WriteMethod     write_snmpNotifyFilterMask;
     WriteMethod     write_snmpNotifyFilterType;
     WriteMethod     write_snmpNotifyFilterStorageType;
     WriteMethod     write_snmpNotifyFilterRowStatus;



#endif                          /* _MIBGROUP_SNMPNOTIFYFILTERTABLE_H */
