/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */
/*
 * usmUser.c
 */

#include <net-snmp/net-snmp-config.h>

#include <net-snmp/net-snmp-includes.h>
#include <net-snmp/agent/net-snmp-agent-includes.h>

#include "mibgroup/util_funcs.h"
#include "mibgroup/snmpv3/usmUser.h"

void
init_usmUser(void)
{
    snmpd_register_config_handler("usmUser",
                                  usm_parse_config_usmUser, NULL, NULL);
    snmpd_register_config_handler("createUser",
                                  usm_parse_create_usmUser, NULL,
                                  "username (MD5|SHA) passphrase [DES [passphrase]]");

    /*
     * we need to be called back later 
     */
    snmp_register_callback(SNMP_CALLBACK_LIBRARY, SNMP_CALLBACK_STORE_DATA,
                           usm_store_users, NULL);
}
