/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */
/*
 ******************************************************************************
 *** md5.h -- Header file for implementation of MD5 Message Digest Algorithm **
 *** Updated: 2/13/90 by Ronald L. Rivest                                    **
 *** (C) 1990 RSA Data Security, Inc.                                        **
 *** **************************************************************************
 */

#ifndef MD5_H
#define MD5_H

#ifdef __cplusplus
extern          "C" {
#endif

    int             SNMP_MDchecksum(uint8_t * data, size_t len, uint8_t * mac,
                               size_t maclen);
    int             SNMP_MDsign(uint8_t * data, size_t len, uint8_t * mac,
                           size_t maclen, uint8_t * secret,
                           size_t secretlen);

#ifdef __cplusplus
}
#endif
#endif                          /* MD5_H */
