/*
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */

/*
 *  Template MIB group interface - icmp
 *
 */

#ifndef _MIBGROUP_ICMP_IPV6_H
#define _MIBGROUP_ICMP_IPV6_H

extern void init_icmp(void);

#define IPV6IFICMPINMSGS 1
#define IPV6IFICMPINERRORS 2
#define IPV6IFICMPINDESTUNREACHS 3
#define IPV6IFICMPINADMINPROHIBS 4
#define IPV6IFICMPINTIMEEXCDS 5
#define IPV6IFICMPINPARMPROBLEMS 6
#define IPV6IFICMPINPKTTOOBIGS 7
#define IPV6IFICMPINECHOS 8
#define IPV6IFICMPINECHOREPLIES 9
#define IPV6IFICMPINROUTERSOLICITS 10
#define IPV6IFICMPINROUTERADVERTISEMENTS 11
#define IPV6IFICMPINNEIGHBORSOLICITS 12
#define IPV6IFICMPINNEIGHBORADVERTISEMENTS 13
#define IPV6IFICMPINREDIRECTS 14
#define IPV6IFICMPINGROUPMEMBQUERIES 15
#define IPV6IFICMPINGROUPMEMBRESPONSES 16
#define IPV6IFICMPINGROUPMEMBREDUCTIONS 17
#define IPV6IFICMPOUTMSGS 18
#define IPV6IFICMPOUTERRORS 19
#define IPV6IFICMPOUTDESTUNREACHS 20
#define IPV6IFICMPOUTADMINPROHIBS 21
#define IPV6IFICMPOUTTIMEEXCDS 22
#define IPV6IFICMPOUTPARMPROBLEMS 23
#define IPV6IFICMPOUTPKTTOOBIGS 24
#define IPV6IFICMPOUTECHOS 25
#define IPV6IFICMPOUTECHOREPLIES 26
#define IPV6IFICMPOUTROUTERSOLICITS 27
#define IPV6IFICMPOUTROUTERADVERTISEMENTS 28
#define IPV6IFICMPOUTNEIGHBORSOLICITS 29
#define IPV6IFICMPOUTNEIGHBORADVERTISEMENTS 30
#define IPV6IFICMPOUTREDIRECTS 31
#define IPV6IFICMPOUTGROUPMEMBQUERIES 32
#define IPV6IFICMPOUTGROUPMEMBRESPONSES 33
#define IPV6IFICMPOUTGROUPMEMBREDUCTIONS 34

#endif


