/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

#if HAVE_STDLIB_H
#include <legacy/stdlib.h>
#endif
#if HAVE_UNISTD_H
#endif

#if HAVE_STRING_H
#include <legacy/string.h>
#else
#include <strings.h>
#endif
#include <sys/types.h>
#if HAVE_WINSOCK_H
#include <winsock.h>
#endif

#if HAVE_SYS_PARAM_H
#include <sys/param.h>
#endif

#if HAVE_NETINET_IN_H
#include <net7g/netinet/sk_in.h>
#endif
#if HAVE_SYS_SYSMP_H
#include <sys/sysmp.h>
#endif
#if HAVE_SYS_TCPIPSTATS_H
#include <sys/tcpipstats.h>
#endif
#if defined(IFNET_NEEDS_KERNEL) && !defined(_KERNEL)
#define _KERNEL 1
#define _I_DEFINED_KERNEL
#endif
#if HAVE_SYS_SOCKET_H
#include <net7g/sys/sk_socket.h>
#endif
#if HAVE_NET_IF_H
#include <net7g/net/sk_if.h>
#endif
#if HAVE_NET_IF_VAR_H
#include <net7g/net/sk_if_var.h>
#endif
#ifdef _I_DEFINED_KERNEL
#undef _KERNEL
#endif

#if HAVE_SYS_SYSCTL_H
#include <sys/sysctl.h>
#endif
#if HAVE_SYS_STREAM_H
#include <sys/stream.h>
#endif
#if HAVE_NET_ROUTE_H
#include <net7g/net/sk_route.h>
#endif
#if HAVE_NETINET_IN_SYSTM_H
#include <net7g/netinet/sk_in_systm.h>
#endif
#if HAVE_NETINET_IP_H
#include <net7g/netinet/sk_ip.h>
#endif
#if HAVE_SYS_QUEUE_H
#include <sys/queue.h>
#endif
#if HAVE_SYS_SOCKETVAR_H
#include <net7g/sys/sk_socketvar.h>
#endif
#if HAVE_NETINET_IP_VAR_H
#include <net7g/netinet/sk_ip_var.h>
#endif
#ifdef INET6
#if HAVE_NETINET6_IP6_VAR_H
#include <net7g/netinet6/sk_ip6_var.h>
#endif
#endif
#if HAVE_NETINET_IN_PCB_H
#include <net7g/netinet/sk_in_pcb.h>
#endif
#if HAVE_INET_MIB2_H
#include <inet/mib2.h>
#endif
#ifdef HAVE_STDINT_H
#include <stdint.h>
#endif
#if HAVE_DMALLOC_H
#include <dmalloc.h>
#endif

#ifdef cygwin
#define WIN32
#include <windows.h>
#endif
