/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

/*
 *  Template MIB group interface - tcp for ipv6
 *
 */

#ifndef _MIBGROUP_TCP_IPV6_H
#define _MIBGROUP_TCP_IPV6_H

extern void init_tcp_ipv6(void);

#define TCPRTOALGORITHM 1
#define TCPRTOMIN 2
#define TCPRTOMAX 3
#define TCPMAXCONN 4
#define TCPACTIVEOPENS 5
#define TCPPASSIVEOPENS 6
#define TCPATTEMPTFAILS 7
#define TCPESTABRESETS 8
#define TCPCURRESTAB 9
#define TCPINSEGS 10
#define TCPOUTSEGS 11
#define TCPRETRANSSEGS 12
#define TCPINERRS 14
#define TCPOUTRSTS 15
#define TCPHCINSEGS 17
#define TCPHCOUTSEGS 18

#define TCPCONNECTIONLOCALADDRESSTYPE 1
#define TCPCONNECTIONLOCALADDRESS 2
#define TCPCONNECTIONLOCALPORT 3
#define TCPCONNECTIONREMADDRESSTYPE 4
#define TCPCONNECTIONREMADDRESS 5
#define TCPCONNECTIONREMPORT 6
#define TCPCONNECTIONSTATE 7
#define TCPCONNECTIONPROCESS 8

#define TCPLISTENERLOCALADDRESSTYPE 1
#define TCPLISTENERLOCALADDRESS 2
#define TCPLISTENERLOCALPORT 3
#define TCPLISTENERPROCESS 4

#define TCPCONNSTATE 1
#define TCPCONNLOCALADDRESS 2
#define TCPCONNLOCALPORT 3
#define TCPCONNREMADDRESS 4
#define TCPCONNREMPORT 5

extern struct tcpstat tcpstat;
extern sk_Pid sk_my_pid(void);

#endif
