/*
 *
 * Copyright (c) 1992-2006 Network Appliance, Inc.
 * All rights reserved.
 */

/*
 *  Template MIB group interface - udp for ipv6
 *
 */

#ifndef _MIBGROUP_UDP_IPV6_H
#define _MIBGROUP_UDP_IPV6_H

extern void init_udp_ipv6(void);
extern struct udpstat udpstat;
extern sk_Pid sk_my_pid(void);

#define UDPINDATAGRAMS 1
#define UDPNOPORTS 2
#define UDPINERRORS 3
#define UDPOUTDATAGRAMS 4
#define UDPHCINDATAGRAMS 8
#define UDPHCOUTDATAGRAMS 9

#define UDPENDPOINTLOCALADDRESSTYPE 1
#define UDPENDPOINTLOCALADDRESS 2
#define UDPENDPOINTLOCALPORT 3
#define UDPENDPOINTREMOTEADDRESSTYPE 4
#define UDPENDPOINTREMOTEADDRESS 5
#define UDPENDPOINTREMOTEPORT 6
#define UDPENDPOINTINSTANCE 7
#define UDPENDPOINTPROCESS 8

#define UDPLOCALADDRESS 1
#define UDPLOCALPORT 2

#endif

